List automations
beta.agents.automations.list(**kwargs) -> CursorPage<Automation>
GET
/agents/automationsLists project-owned automations, optionally filtered by target session.
List automations
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
page = openai.beta.agents.automations.list
puts(page)200 — Example
{
"data": [
{
"id": "id",
"created_at": 0,
"created_by": {
"type": "developer"
},
"expression": "expression",
"metadata": {
"foo": "string"
},
"name": "name",
"object": "agent.automation",
"status": "active",
"target": {
"agent": {
"instructions": "instructions",
"model": "model",
"multi_agent": {
"enabled": true,
"max_concurrent_subagents": 1
},
"reasoning": {
"effort": "none",
"summary": "concise"
},
"service_tier": "auto",
"text": {
"format": {
"type": "text"
},
"verbosity": "low"
},
"tools": [
{
"defer_loading": true,
"description": "description",
"name": "name",
"parameters": {
"foo": "bar"
},
"type": "function",
"async": true
}
],
"compaction": {
"async": true
},
"experimental": {
"time_awareness": true
}
},
"agent_id": "agent_id",
"environment": {
"type": "none"
},
"input": [
{
"content": [
{
"text": "text",
"type": "input_text"
}
],
"role": "user",
"type": "message"
}
],
"metadata": {
"foo": "string"
},
"type": "new_session",
"vault_ids": [
"string"
]
},
"timezone": "timezone",
"type": "periodic",
"pause_reason": "target_session_failed"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}Returns Examples
200 — Example
{
"data": [
{
"id": "id",
"created_at": 0,
"created_by": {
"type": "developer"
},
"expression": "expression",
"metadata": {
"foo": "string"
},
"name": "name",
"object": "agent.automation",
"status": "active",
"target": {
"agent": {
"instructions": "instructions",
"model": "model",
"multi_agent": {
"enabled": true,
"max_concurrent_subagents": 1
},
"reasoning": {
"effort": "none",
"summary": "concise"
},
"service_tier": "auto",
"text": {
"format": {
"type": "text"
},
"verbosity": "low"
},
"tools": [
{
"defer_loading": true,
"description": "description",
"name": "name",
"parameters": {
"foo": "bar"
},
"type": "function",
"async": true
}
],
"compaction": {
"async": true
},
"experimental": {
"time_awareness": true
}
},
"agent_id": "agent_id",
"environment": {
"type": "none"
},
"input": [
{
"content": [
{
"text": "text",
"type": "input_text"
}
],
"role": "user",
"type": "message"
}
],
"metadata": {
"foo": "string"
},
"type": "new_session",
"vault_ids": [
"string"
]
},
"timezone": "timezone",
"type": "periodic",
"pause_reason": "target_session_failed"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}